package com.example.afrishop_v3.controllers;

import com.example.afrishop_v3.base.Result;
import com.example.afrishop_v3.models.TbCfAddress;
import com.example.afrishop_v3.repository.TbCfAddressRepository;
import com.example.afrishop_v3.security.services.AuthenticationUser;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/address")
public class AddressController extends Controller{
    private final TbCfAddressRepository repository;
    private final AuthenticationUser user;

    public AddressController(TbCfAddressRepository repository, AuthenticationUser user) {
        this.repository = repository;
        this.user = user;
    }

    @GetMapping
    public Result<Iterable<TbCfAddress>> getUserInfoList() {
        Iterable<TbCfAddress> tbCfAddressVoList = repository.findAllByUserId(user.userId());
        return new Result<>(tbCfAddressVoList);
    }

    @PostMapping
    public Result addUserInfo(@RequestBody TbCfAddress address) {
        address.setUserId(user.userId());
        address.setAddressId(uid());
        return new Result<>(repository.save(address));
    }

    @PutMapping("/{addressId}")
    public Result editAddressInfo(@PathVariable("addressId") String addressId,@RequestBody TbCfAddress address) {
        address.setUserId(user.userId());
        address.setAddressId(addressId);
        return new Result<>(repository.save(address));
    }
}
