package com.example.afrishop_v3.models;

import lombok.Data;
import org.hibernate.annotations.Where;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 购物车记录表实体
 * 表名 tb_cf_cart_record_r
 *
 * @author G
 * @date 2019-08-16 15:51:16
 */
@Entity
@Table(name = "tb_cf_cart_record_r")
@Data
@Where(clause = "enable_flag=1")
public class TbCfCartRecordR {

    /**
     * 购物车记录id
     */
    @Id
    private String cartRecordId;
    /**
     * 商品id
     */

    @ManyToOne
    @JoinColumn(name = "item_id",columnDefinition = "item_id")
    private TbCfItemDetail itemDetail;

    /**
     * 用户id
     */
    private String userId;
    /**
     * 是否已经被勾选，0未勾选，1勾选
     */
    private Integer checkFlag;
    /**
     * 是否有效
     */
    private Integer enableFlag;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 商品链接
     */
    private String sourceItemId;
    /**
     * 商品SKU
     */
    private String itemSku;
    /**
     * 商品SKU
     */
    private Integer itemNum;

    /**
     * 商品价格
     */
    private BigDecimal itemPrice;

    public BigDecimal getItemPrice() {
        return itemPrice;
    }

    public void setItemPrice(BigDecimal itemPrice) {
        this.itemPrice = itemPrice;
    }

    /**
     * 设置：购物车记录id
     */
    public void setCartRecordId(String cartRecordId) {
        this.cartRecordId = cartRecordId;
    }

    /**
     * 获取：购物车记录id
     */
    public String getCartRecordId() {
        return cartRecordId;
    }

    /**
     * 设置：商品id
     */

    public TbCfItemDetail getItemDetail() {
        return itemDetail;
    }

    public void setItemDetail(TbCfItemDetail itemDetail) {
        this.itemDetail = itemDetail;
    }

    /**
     * 设置：用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public String getUserId() {
        return userId;
    }

    /**
     * 设置：是否已经被勾选，0未勾选，1勾选
     */
    public void setCheckFlag(Integer checkFlag) {
        this.checkFlag = checkFlag;
    }

    /**
     * 获取：是否已经被勾选，0未勾选，1勾选
     */
    public Integer getCheckFlag() {
        return checkFlag;
    }

    /**
     * 设置：是否有效
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：是否有效
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getSourceItemId() {
        return sourceItemId;
    }

    public void setSourceItemId(String sourceItemId) {
        this.sourceItemId = sourceItemId;
    }

    public String getItemSku() {
        return itemSku;
    }

    public void setItemSku(String itemSku) {
        this.itemSku = itemSku;
    }

    public Integer getItemNum() {
        return itemNum;
    }

    public void increaseNum(Integer itemNum){
        setItemNum(this.itemNum+itemNum);
    }

    public void setItemNum(Integer itemNum) {
        this.itemNum = itemNum;
    }
}
