package com.example.afrishop_v3.models;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 商品详情实体
 * 表名 tb_cf_item_detail
 *
 * @author lipengjun
 * @date 2020-04-04 15:07:45
 */
@Entity
@Data
public class TbCfItemDetail{

    /**
     * 商品表记录id
     */
    @Id
    private String itemId;
    /**
     * 商品独立站ID
     */
    private String goodsId;
    /**
     * 商品url
     */
    @JsonIgnore
    private String sourceItemId;
    /**
     * 来源站点id
     */
    private String stationId;
    /**
     * 站点类型 1：自营商品 2：其他
     */
    private Integer stationType;
    /**
     * 商品名称
     */
    private String itemTitle;
    /**
     * 商品数量
     */
    @JsonIgnore
    private Integer itemNum;
    /**
     * 商品主图
     */
    private String itemImg;
    /**
     * 商品单价
     */
    private BigDecimal itemPrice;
    /**
     * 商品分类
     */
    private String itemCategory;
    /**
     * 商品skus
     */
    @JsonIgnore
    private String itemSku;
    /**
     * 所属店铺id
     */
    private String shopId;
    /**
     * 所属商铺名
     */
    private String shopName;
    /**
     * 所属商铺链接
     */
    private String shopUrl;
    /**
     * 状态 0：已删除 1：加入购物车 2：直接支付（预留）
     */
    private Integer status;
    /**
     * 用户ID（预留）
     */
    private String userId;
    /**
     * 加入时间
     */
    private Date createTime;

    private String descripitionName;

    public String getDescripitionName() {
        return descripitionName;
    }

    public void setDescripitionName(String descripitionName) {
        this.descripitionName = descripitionName;
    }

    /**
     * 设置：商品表记录id
     */
    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    /**
     * 获取：商品表记录id
     */
    public String getItemId() {
        return itemId;
    }
    /**
     * 设置：商品独立站ID
     */
    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    /**
     * 获取：商品独立站ID
     */
    public String getGoodsId() {
        return goodsId;
    }
    /**
     * 设置：商品url
     */
    public void setSourceItemId(String sourceItemId) {
        this.sourceItemId = sourceItemId;
    }

    /**
     * 获取：商品url
     */
    public String getSourceItemId() {
        return sourceItemId;
    }
    /**
     * 设置：来源站点id
     */
    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    /**
     * 获取：来源站点id
     */
    public String getStationId() {
        return stationId;
    }
    /**
     * 设置：站点类型 1：自营商品 2：其他
     */
    public void setStationType(Integer stationType) {
        this.stationType = stationType;
    }

    /**
     * 获取：站点类型 1：自营商品 2：其他
     */
    public Integer getStationType() {
        return stationType;
    }
    /**
     * 设置：商品名称
     */
    public void setItemTitle(String itemTitle) {
        this.itemTitle = itemTitle;
    }

    /**
     * 获取：商品名称
     */
    public String getItemTitle() {
        return itemTitle;
    }
    /**
     * 设置：商品数量
     */
    public void setItemNum(Integer itemNum) {
        this.itemNum = itemNum;
    }

    /**
     * 获取：商品数量
     */
    public Integer getItemNum() {
        return itemNum;
    }
    /**
     * 设置：商品主图
     */
    public void setItemImg(String itemImg) {
        this.itemImg = itemImg;
    }

    /**
     * 获取：商品主图
     */
    public String getItemImg() {
        return itemImg;
    }
    /**
     * 设置：商品单价
     */
    public void setItemPrice(BigDecimal itemPrice) {
        this.itemPrice = itemPrice;
    }

    /**
     * 获取：商品单价
     */
    public BigDecimal getItemPrice() {
        return itemPrice;
    }
    /**
     * 设置：商品分类
     */
    public void setItemCategory(String itemCategory) {
        this.itemCategory = itemCategory;
    }

    /**
     * 获取：商品分类
     */
    public String getItemCategory() {
        return itemCategory;
    }
    /**
     * 设置：商品skus
     */
    public void setItemSku(String itemSku) {
        this.itemSku = itemSku;
    }

    /**
     * 获取：商品skus
     */
    public String getItemSku() {
        return itemSku;
    }
    /**
     * 设置：所属店铺id
     */
    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    /**
     * 获取：所属店铺id
     */
    public String getShopId() {
        return shopId;
    }
    /**
     * 设置：所属商铺名
     */
    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    /**
     * 获取：所属商铺名
     */
    public String getShopName() {
        return shopName;
    }
    /**
     * 设置：所属商铺链接
     */
    public void setShopUrl(String shopUrl) {
        this.shopUrl = shopUrl;
    }

    /**
     * 获取：所属商铺链接
     */
    public String getShopUrl() {
        return shopUrl;
    }
    /**
     * 设置：状态 0：已删除 1：加入购物车 2：直接支付（预留）
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 获取：状态 0：已删除 1：加入购物车 2：直接支付（预留）
     */
    public Integer getStatus() {
        return status;
    }
    /**
     * 设置：用户ID（预留）
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户ID（预留）
     */
    public String getUserId() {
        return userId;
    }
    /**
     * 设置：加入时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：加入时间
     */
    public Date getCreateTime() {
        return createTime;
    }
}
